Skip to main content
`Ctrl`+`K`

# PetscDrawSPAddPoints

Adds several points to each of the scatter plot point curves.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPAddPoints(PetscDrawSP sp, int n, PetscReal *xx[], PetscReal *yy[])

Not Collective

## Input Parameters

- sp - the scatter plot context

- xx - array of pointers that point to arrays containing the new x coordinates for each curve.

- yy - array of pointers that point to arrays containing the new y points for each curve.

- n - number of points being added, each represents a subarray of length dim where dim is the value from `PetscDrawSPGetDimension()`

## Note

The new points will not be displayed until a call to `PetscDrawSPDraw()` is made

## See Also

`PetscDrawSPAddPoint()`, `PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPReset()`, `PetscDrawSPDraw()`, `PetscDrawSPAddPointColorized()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages